reservation-controller
path Parameters
referenceThe reference of the reservation that will be fetched
The reference of the reservation that will be fetched
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Update a reservation with reservation lines
Update a reservation with reservation lines.
The draft reservation version containing only the requested reservation lines will be returned.
If reservationLineRequests (body) is empty, then the draft reservation will contain no reservation lines.
path Parameters
referenceThe reference of the reservation that will be updated.
The reference of the reservation that will be updated.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Update a reservation with reservation lines › Request Body
typeThe type of reservation line.
referenceThe reference of the reservation line if already existing. Leave blank for new reservation lines.
orderLineIdOrderLine ID for this reservation line`
numberOfTravellersNumber of travellers on the reservation line.
Update a reservation with reservation lines › Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
path Parameters
referenceThe reference of the reservation that will be updated.
The reference of the reservation that will be updated.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Request Body
checkOrderStatusHistoryA flag to be used by internal clients, if true, check if the order has ever been CONFIRMED, should not change reservation status to CONFIRMED if order has never been CONFIRMED
statusThe new reservation status. Mutually exclusive with rebookingStatus.
rebookingStatusThe new rebooking status. Mutually exclusive with status.
infoOptional information that can be added when patching rebookingStatus to REJECTED.
sendNotificationWhether to send rebooking/replaced notification messages on Kafka when confirming. Defaults to true.
Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
query Parameters
datedServiceJourneyIdThe datedServiceJourney of the reservation that will be fetched
reservationStatusThe reservation status of the reservation that will be fetched. Defaults to DRAFT and CONFIRMED.
The reservation status of the reservation that will be fetched. Defaults to DRAFT and CONFIRMED.
rebookingStatusesThe rebooking statuses of the reservation that will be fetched. Defaults to all.
updatedAfteroriginNSR code of the origin stop place. When combined with destination, returns only reservations onboard the requested leg.
destinationNSR code of the destination stop place. When combined with origin, returns only reservations onboard the requested leg.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Create a reservation from origin to destination on a DatedServiceJourney
This endpoint can be used to create a reservation, optionally with the supplied reservation linesAn organisation id will be stored, this id determined by the authentication used by the client
query Parameters
ownerOrganisationIdThe organisation to be set as owner of the reservation. Only Entur may specify ownerOrganisation, otherwise the requesting organisation will be set as owner of the reservation.
The organisation to be set as owner of the reservation. Only Entur may specify ownerOrganisation, otherwise the requesting organisation will be set as owner of the reservation.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Create a reservation from origin to destination on a DatedServiceJourney › Request Body
originNsrCodeThe nsrCode of the origin stop place
destinationNsrCodeThe nsrCode of the destination stop place
datedServiceJourneyIdThe id of the dated service journey which the reservation belongs to.
referenceIf supplied this id will be used as reference for this reservation. If not it will be generated automatically.
orderIdAn orderId that can be used for lookup purposes
statusThe status to set for the reservation.
Create a reservation from origin to destination on a DatedServiceJourney › Responses
Created
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Replace reservation lines
Code
path Parameters
referenceUUID for the reservation we want to replace reservationLines on.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Replace reservation lines › Request Body
List of SeatingProperties to allocate for.
reservationLinesToRemoveList of reservationLine-references to remove.
Replace reservation lines › Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Add reservation lines
Code
path Parameters
referenceUUID for the reservation we want to add reservation lines to.
query Parameters
groupOverrideHeaders
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Add reservation lines › Request Body
List with reservation lines to add
Properties of a seat. They describe both physical and logical properties of a seat.Physical properties are for example position of the seat.Logical properties describe properties that the operator use when selling the seat. For example fare class.
numberOfTravellersThe properties required by the traveller(s).
mustReserveWholeCompartmentWhether to reserve a whole compartment to this traveller. If not provided, or set to false, a single seat with the provided properties will be reserved instead.
orderLineIdOrderLine ID to reserve seats for
Add reservation lines › Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Remove reservation lines
Code
path Parameters
referenceUUID for the reservation we want to remove reservation lines from.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Remove reservation lines › Responses
OK
Notifies customer about rebooked seats
Code
path Parameters
referenceUUID for the reservation we want to trigger a notification for.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Notifies customer about rebooked seats › Responses
No Content
Create reservation and reserve seats by seating properties
Create reservation and reserve seats allocated by seating properties. If the optional orderLineId is provided for a set of seating properties, the reservation line(s) allocated by the seating properties will be associated to the orderLineId
query Parameters
ownerOrganisationIdThe organisation to be set as owner of the reservation. Only Entur may specify ownerOrganisation, otherwise the requesting organisation will be set as owner of the reservation.
The organisation to be set as owner of the reservation. Only Entur may specify ownerOrganisation, otherwise the requesting organisation will be set as owner of the reservation.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Create reservation and reserve seats by seating properties › Request Body
originNsrCodeThe nsrCode of the origin stop place
destinationNsrCodeThe nsrCode of the destination stop place
datedServiceJourneyIdThe id of the dated service journey which the reservation belongs to.
statusThe status to set for the reservation.
List of traveler seating properties to reserve seats or compartments for, with optional associated orderLineId.
orderIdThe 'id' of the order the reservation belongs to
Create reservation and reserve seats by seating properties › Responses
Created
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Create reservations for a sequence of legs and reserve seats by seating properties
Create reservation and reserve seats allocated by seating properties. If the optional orderLineId is provided for a set of seating properties, the reservation line(s) allocated by the seating properties will be associated to the orderLineId
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Create reservations for a sequence of legs and reserve seats by seating properties › Request Body
originalDatedServiceJourneyIdOriginal dated service journey ID.
orderIdOrder ID for the reservation.
statusInitial status of the reservation.
Create reservations for a sequence of legs and reserve seats by seating properties › Responses
Created
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Update a reservation line in a reservation
Update a reservation line in a reservation.
The result will depend on the reservation status.
- ReservationStatus:DRAFT : The draft reservation version will contain the updated reservation line and existing lines.
- ReservationStatus:CONFIRMED : A new draft reservation version containing only the updated reservation line.
- ReservationStatus:CANCELLED : No operation.
path Parameters
referenceThe reference of the reservation the reservation that will be updated.
reservationLineReferenceThe reference of the reservationLine to be updated.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Update a reservation line in a reservation › Request Body
typeThe type of reservation line.
elementCarriageNumberThe carriage number of the element of the seat being reserved on this reservationLine.
elementCarriageIdentifierThe carriage identifier of the element of the seat being reserved on this reservationLine.
orderLineIdOrderLine ID for this reservation line`
Update a reservation line in a reservation › Responses
OK
referenceReference for this reservation line`
reservedPropertiesProperties of a seat. They describe both physical and logical properties of a seat.Physical properties are for example position of the seat.Logical properties describe properties that the operator use when selling the seat. For example fare class.
requestedPropertiesProperties of a seat. They describe both physical and logical properties of a seat.Physical properties are for example position of the seat.Logical properties describe properties that the operator use when selling the seat. For example fare class.
typeThe type of reservation line.
orderLineIdOrderLine ID for this reservation line.
numberOfTravellersNumber of travellers on the reservation line.
Fetch grouped reservations for a travel intention
Code
path Parameters
originalDatedServiceJourneyIdThe ID of the original dated service journey — the departure the travel intentions were initially created for and that connects all related travel intentions and their reservations together.
query Parameters
reservationStatusThe reservation status to filter on. If not specified, all statuses are included.
rebookingStatusFilterThe rebooking statuses to filter on. Defaults to all statuses if not specified.
fullHistoryWhether to return the full version history of each travel intention. If false, only the two most recent versions are returned. Defaults to full history.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Fetch grouped reservations for a travel intention › Responses
OK
travelIntentionReferencepath Parameters
reservationLineReferenceThe reference of the reservation line that will be fetched
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Get reservations by orderId
Fetches the newest version of all reservations connected to the orderId
path Parameters
orderIdThe orderId of the reservations that will be fetched
query Parameters
reservationStatusesOptional reservation statuses to filter on. If not supplied, defaults to DRAFT, CONFIRMED and CANCELLED, falling back to DEPRECATED if no active reservations exist for the orderId
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Get reservations by orderId › Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
Get all versions of reservation
Fetches all versions of reservation with given reference
path Parameters
referenceThe reference of the reservation that will be fetched with all versions
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Get all versions of reservation › Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.
query Parameters
datedServiceJourneyIdThe datedServiceJourney of the reservation that will be fetched
reservationStatusThe reservation status of the reservations that will be fetched. Defaults to DRAFT and CONFIRMED.
The reservation status of the reservations that will be fetched. Defaults to DRAFT and CONFIRMED.
rebookingStatusesThe rebooking statuses of the reservation that will be fetched. Defaults to all.
updatedAfteroriginNSR code of the origin stop place. When combined with destination, returns only reservations onboard the requested stretch.
destinationNSR code of the destination stop place. When combined with origin, returns only reservations onboard the requested stretch.
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Responses
OK
versionThe version of the reservation. Starts with 1.
Destination StopPlace of the reservation
Destination StopPlace of the reservation
datedServiceJourneyIdId of the dated service journey
statusDescribes the reservation status.
referenceThe reference for this reservation
organisationIdThe organisation id of the order which the reservation belongs to.
createdAtWhen this reservation was initially created
versionedAtWhen this version of this reservation was created
updatedAtWhen this was previously updated. This includes status changes, reservation line changes and so on.
createdByThe organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.
rebookingStatusDescribes the rebooking status of the reservation.
orderIdThe 'id' of the order the reservation belongs to
updatedByThe organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.
infoAdditional free text information about the reservation.